%define upstream_name    Template-Toolkit-Simple
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A Simple Interface to Template Toolkit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Template) >= 2.220.0
BuildRequires: perl(TestML)
BuildRequires: perl(YAML::XS) >= 0.370.0
BuildArch:  noarch

%description
Template Toolkit is the best Perl template framework. The only problem with
it is that using it for simple stuff is a little bit cumbersome. Also there
is no good utility for using it from the command line.

This module is a simple wrapper around Template Toolkit. It exports a
function called 'tt' which returns a new Template::Toolkit::Simple object.
The object supports method calls for setting all the Template Toolkit
options.

This module also installs a program called 'tt-render' which you can use
from the command line to render templates with all the power of the Perl
object. All of the object methods become command line arguments in the
command line version.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tt-render


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.310.0-6.mga9
+ Revision: 1817360
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.310.0-5.mga8
+ Revision: 1497290
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.310.0-4.mga7
+ Revision: 1271624
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.310.0-3.mga6
+ Revision: 1033916
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.310.0-2.mga6
+ Revision: 966961
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.310.0-1.mga6
+ Revision: 847123
- update to 0.31

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-3.mga5
+ Revision: 745201
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-2.mga5
+ Revision: 686359
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.300.0-1.mga5
+ Revision: 664758
- update to 0.30

* Sat Aug 16 2014 sander85 <sander85> 0.270.0-1.mga5
+ Revision: 664426
- update to 0.27

* Sun Aug 10 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 661430
- update to 0.24

* Thu Aug 07 2014 sander85 <sander85> 0.220.0-1.mga5
+ Revision: 660494
- update to 0.22

* Tue Aug 05 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 659817
- update to 0.20

* Sat Jun 21 2014 sander85 <sander85> 0.190.0-1.mga5
+ Revision: 638336
- update to 0.19

* Tue Jun 17 2014 sander85 <sander85> 0.180.0-1.mga5
+ Revision: 637804
- update to 0.18

* Mon Jun 16 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 637626
- update to 0.17

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 514996
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 373185
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 12 2011 kharec <kharec> 0.160.0-1.mga2
+ Revision: 166916
- update to 0.16
+ jquelin <jquelin>
- imported package perl-Template-Toolkit-Simple


* Fri Aug 26 2011 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
